using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Toolkit.Mvvm.ComponentModel;

namespace HBLConsole.Model
{
    public class VariableMonitor : ObservableObject
    {

        public int Id { get { return _mId; } set { _mId = value; OnPropertyChanged(); } }
        private int _mId;


        public string VarName { get { return _mVarName; } set { _mVarName = value; OnPropertyChanged(); } }
        private string _mVarName;


        public string PLCAddress { get { return _mPLCAddress; } set { _mPLCAddress = value; OnPropertyChanged(); } }
        private string _mPLCAddress;


        public string Notes { get { return _mNotes; } set { _mNotes = value; OnPropertyChanged(); } }
        private string _mNotes;


        public string ModbusTcpAddress { get { return _mModbusTcpAddress; } set { _mModbusTcpAddress = value; OnPropertyChanged(); } }
        private string _mModbusTcpAddress;


        public string CurrentValue { get { return _mCurrentValue; } set { _mCurrentValue = value; OnPropertyChanged(); } }
        private string _mCurrentValue;


    }
}
